# Copyright (C) 2019 VMware, Inc. All rights reserved.
# -- VMware Confidential
from abc import ABCMeta, abstractmethod


# noinspection PyMethodMayBeStatic
class Metric(metaclass=ABCMeta):

    """This is the interface of all metrics.
    Each metric should implement its usage method.
    """

    @abstractmethod
    def usage(self, *args, **kwargs): pass


class DedicateThreadMetric(Metric):
    """
    This is the interface for dedicate thread metrics to
    release resources (e.g. destroy RPC client) if any when
    SHA is being stopped.
    """
    @abstractmethod
    def clean(self): pass

