def report_edge_rcu_event_status(metric_list, profile):
    if not metric_list:
        return

    evt_id = feature_event_type_mappings.EDGE_HEALTH_DATAPATH_THREAD_DEADLOCKED_EVENT_TYPE_ID
    for key in list(metric_list):
        context = { "edge_thread_name": str(key) }
        if not metric_list[key]['event_state']:
            Alarm(status={evt_id: {data_store['host_id']: (False, context)}}, feature="edge_health")
            del metric_list[key]
        else:
            Alarm(status={evt_id: {data_store['host_id']: (True, context)}}, feature="edge_health")



profile = data_store['profile']
rcu_event_status = data_store['metrics']['nsx.edge.rcu-event-status']
if rcu_event_status:
    report_edge_rcu_event_status(rcu_event_status['value'], profile)
else:
    logger.info("Failed to get rcu event status")
